#ifndef MPYATE_REGS_H
#define MPYATE_REGS_H

#define ATE_REG_SYS_CFG (0x00U)
#define ATE_REG_SYS_AUX (0x01U)
#define ATE_REG_SYS_VER (0x0EU)
#define ATE_REG_SYS_ID  (0x0FU)

#define ATE_REG_SYS_CFG_RST_Pos (15U)
#define ATE_REG_SYS_CFG_RST_Msk (1U << ATE_REG_SYS_CFG_RST_Pos)

#define ATE_REG_SYS_AUX_GPIO_R_Pos (0U)
#define ATE_REG_SYS_AUX_GPIO_R_Msk (1U << ATE_REG_SYS_AUX_GPIO_R_Pos)

#define ATE_REG_SYS_AUX_GPIO_G_Pos (1U)
#define ATE_REG_SYS_AUX_GPIO_G_Msk (1U << ATE_REG_SYS_AUX_GPIO_G_Pos)

#define ATE_REG_SYS_AUX_GPIO_B_Pos (2U)
#define ATE_REG_SYS_AUX_GPIO_B_Msk (1U << ATE_REG_SYS_AUX_GPIO_B_Pos)

#define ATE_REG_GPIO_CFG    (0x10U)
#define ATE_REG_GPIO_INPUT  (0x11U)
#define ATE_REG_GPIO_OUTPUT (0x12U)

#define ATE_REG_GPIO_CFG_MODE_Pos (0U)
#define ATE_REG_GPIO_CFG_MODE_Msk (3U << ATE_REG_GPIO_CFG_MODE_Pos)

#define ATE_REG_ADC_CTRL  (0x20U)
#define ATE_REG_ADC_STAT  (0x21U)
#define ATE_REG_ADC_CH(x) (0x22U + x)

#define ATE_REG_ADC_CTRL_CONV_Pos (15U)
#define ATE_REG_ADC_CTRL_CONV_Msk (1U << ATE_REG_ADC_CTRL_CONV_Pos)

#define ATE_REG_ADC_STAT_DONE_Pos (0U)
#define ATE_REG_ADC_STAT_DONE_Msk (1U << ATE_REG_ADC_STAT_DONE_Pos)

#define ATE_REG_DAC_CTRL (0x30U)
#define ATE_REG_DAC_DATA (0x31U)

#define ATE_REG_DAC_CTRL_BIAS_Pos (8U)
#define ATE_REG_DAC_CTRL_BIAS_Msk (1U << ATE_REG_DAC_CTRL_BIAS_Pos)

#endif  // MPYATE_REGS_H
